<?php

namespace catchAdmin\wind\controller;

use catcher\base\CatchRequest as Request;
use catcher\CatchResponse;
use catcher\base\CatchController;
use catchAdmin\wind\model\Wind as windModel;

class Wind extends CatchController
{
    protected $windModel;
    
    public function __construct(WindModel $windModel)
    {
        $this->windModel = $windModel;
    }
    
    /**
     * 列表
     * @time 2022年04月27日 10:49
     * @param Request $request 
     */
    public function index(Request $request) : \think\Response
    {
        return CatchResponse::paginate($this->windModel->getList());
    }
    
    /**
     * 保存信息
     * @time 2022年04月27日 10:49
     * @param Request $request 
     */
    public function save(Request $request) : \think\Response
    {
        return CatchResponse::success($this->windModel->storeBy($request->post()));
    }
    
    /**
     * 读取
     * @time 2022年04月27日 10:49
     * @param $id 
     */
    public function read($id) : \think\Response
    {
        return CatchResponse::success($this->windModel->findBy($id));
    }
    
    /**
     * 更新
     * @time 2022年04月27日 10:49
     * @param Request $request 
     * @param $id
     */
    public function update(Request $request, $id) : \think\Response
    {
        return CatchResponse::success($this->windModel->updateBy($id, $request->post()));
    }
    
    /**
     * 删除
     * @time 2022年04月27日 10:49
     * @param $id
     */
    public function delete($id) : \think\Response
    {
        return CatchResponse::success($this->windModel->deleteBy($id));
    }
}